Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 594420 - upstream source missing for json package
upstream source missing for json package
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: json (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-20 12:01 EDT by Adam Goode
Modified: 2011-06-27 12:30 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:30:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Goode 2010-05-20 12:01:14 EDT
Description of problem:
The upstream source in json.spec points to http://www.json.org/java/apache.zip which doesn't exist anymore.


Version-Release number of selected component (if applicable):
json-3-2.fc12.noarch


This is problematic since the original license is non-free, and this "apache.zip" seems to be the only free-license version of this code.
Comment 1 Andrew Overholt 2010-08-23 16:01:53 EDT
This package was originally added as a dependency of some Eclipse plugins that are being worked on for Fedora packagers (they're not quite ready yet and haven't been announced yet).  That upstream [1] has plans to move to json-lib at which time we can probably retire this package if nothing else uses it.

[1]
https://fedorahosted.org/eclipse-fedorapackager/
Comment 2 Sebastian Dziallas 2010-09-11 15:37:13 EDT
I think you're looking for: http://json.org/java/json.zip

Upstream seems to have moved files around (and this looks like a new version). License looks like this (http://www.json.org/license.html) and more details are here: http://json.org/java/

We'd really like to get this done for Etherpad (as noted in #624433).
Comment 3 Adam Goode 2010-09-11 17:21:37 EDT
Right, that's the problematic (non-free) license. See bug #455507.
Comment 4 Bug Zapper 2011-06-02 09:47:32 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-27 12:30:46 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.